Create Invoice

Purpose:

Captures against an order. This can be done against part of the authorised order amount (partial capture) or its entire amount (full capture).

For partial captures, please submit each as a separate request specifying the amount until the full amount of the associated Order is reached.

Preconditions:

  • id: The unique identifier of the order
  • Order with id has a sufficient unshipped amount (not lower than the amount provided to be captured).
  • Invoice Number present as external_code
  • Invoice present and reachable for download at invoice_url

Success:

  • Response Code: HTTP 201
  • Response body: 'uuid` -> unique identifier of the capture

Attention:

  • Only one order id can be provided per request.
  • Don’t submit a negative amount value.
  • The referenced order will change its state to shipped if the full amount is captured and partially_shipped for a capture amount lower then the order amount.
  • Capturing an order that is already partially shipped with an amount equal to the remaining amount will change the state of the order from partially_shipped to shipped.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
orders
array of objects
required

Include all the order ids that you want to create an invoice for (currently only one order is supported).

orders*
string
required
length ≤ 255
string
required
length ≤ 255
shipping_info
object

Shipping information for tracking, delivery, method.

amount
object
required

The amount object with split values for net, gross and tax

line_items
array of objects
line_items
Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json